Subject: RFC 4596 errata

From: Alfred Hönes <[email-masked]>
Date: Thu, 17 Aug 2006 10:32:46 +0200 (MESZ)

Hello,
I just studied the recently published RFC 4596 (Caller Preferences
Uses) authored by you.  There, I found a very small number of typos.

Below, I use change bars ('|' in column 1) and tag lines to mark
issues / changes.  Proposed (changed) text is re-adjusted to conform
with RFC formatting rules, where necessary.

(1)  [singular --> plural]

In the Table of Contents (on page 2), and on page 8, the Section
heading:

3.1. Routing of INVITE and MESSAGE to Different UA

should perhaps read:

3.1. Routing of INVITE and MESSAGE to Different UAs

(2)  ['The' --> 'They']

In Section 2, the second paragraph on page 6 says:

   A caller may actually have a wide variety of preferences for how a
   call should be routed.  They may prefer to go right to voicemail.
|  They may prefer never to reach voicemail.  The may prefer to reach
   the user on a device that supports video (because a video-conference
   is desired).  They may wish to reach a device that has an attendant
   who can answer if the user is not there.

It should say:

   A caller may actually have a wide variety of preferences for how a
   call should be routed.  They may prefer to go right to voicemail.
|  They may prefer never to reach voicemail.  They may prefer to reach
   the user on a device that supports video (because a video-conference
   is desired).  They may wish to reach a device that has an attendant
   who can answer if the user is not there.

(3)  [word omission]

Section 3.5.1, at the bottom of page 13, says:

   X sends an invitation to Y to initiate an audio/video call, including
   both m=audio and m=video lines in the SDP.  AOR Y has two contacts,
   Y1 and Y2.  Y1 represents a normal audio phone, where Y prefers to
   receive their calls.  It will answer an audio/video call, refusing
|  the video.  Y2 represents an audio/video phone that should only used
   when needed.  The caller really wants the call answered by a device
   that supports video, but will accept an audio-only call as a second
   choice.

It should say:

   X sends an invitation to Y to initiate an audio/video call, including
   both m=audio and m=video lines in the SDP.  AOR Y has two contacts,
   Y1 and Y2.  Y1 represents a normal audio phone, where Y prefers to
   receive their calls.  It will answer an audio/video call, refusing
|  the video.  Y2 represents an audio/video phone that should only be
   used when needed.  The caller really wants the call answered by a
   device that supports video, but will accept an audio-only call as a
   second choice.

These textual flaws might be included in an RFC Errata Note.

Best regrads,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+